#
# spec file for package cuetools
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cuetools
Version:        1.4.1
Release:        1699.1.pm.11
Summary:        Utilities to work with cue and TOC files
License:        GPL-1.0
Group:          Productivity/Multimedia/Sound/Utilities
Url:            https://github.com/svend/cuetools
Source:         https://github.com/svend/cuetools/archive/%{version}.tar.gz
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  quilt
Recommends:     flac
Enhances:       shntool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
Cuetools is a set of utilities for working with cue files and TOC files.
It includes programs for conversion between the formats, file renaming based
on cue/TOC information, and track breakpoint printing.

%prep
%setup -q

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root)
%doc NEWS README.md TODO
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Jul 14 2015 mpluskal@suse.com
- Update project and source url
- Update to 1.4.1
  * no changelog provided
- Drop no longer needed
  * cuetools-1.3.1-mathmeaning.patch
  * cuetools_1.3.1-2ubuntu1.diff.bz2
- Cleanup spec file with spec-cleaner
* Fri Aug 31 2012 nekolayer@yandex.ru
- fix build for openSUSE 12.2
  - fix license, spec update
* Sun Apr 24 2011 toddrme2178@gmail.com
- Change group to Productivity/Multimedia/Sound/Utilities (for for RPMLINT warning)
- Added changelog file  (for for RPMLINT warning)
- Added a blank line at the end of the spec file  (for for RPMLINT warning)
